function x_interp= solver_tfgm_interp(X, mask, idgt)
%% x_interp= solver_tfgm_interp(X, mask, idgt)
% This function apply a linear interpolation along
% the frequency axis of the magnitude of observation time-frequency matrix
% and  draws the related phase uniformly at random.
%
% Inputs:
%     - X: time-frequency matrix
%     - mask: binary mask
%     - idgt: Inverse of Gabor transform operator
% Outputs:
%     -x_interp: estimated signal
%
%
% Author: Marina KREME

%%

X_abs = abs(X);
X_ang = angle(X);

mask_copy = mask;

%% modulus interpolation
Y = X_abs.*(1-mask_copy);

figure; imagesc(Y); title('before interp');

Z = (Y==0);

Y(Z) = interp1(find(~Z),Y(~Z), find(Z),'linear');
figure; imagesc(Y); title('after interp')

%%

X_ang(mask==1) = 2*pi*rand(sum(mask(:)),1);
X_interp = abs(Y).*exp(1i.*X_ang);
x_interp = compute_idgt(X_interp, idgt);


end