# -*- coding: utf-8 -*-

"""Test of the module :module:`tffpy.experiments.exp_solve_tff`

.. moduleauthor:: Valentin Emiya
"""
import unittest

import matplotlib.pyplot as plt
import matplotlib as mpl
mpl.rcParams['figure.max_open_warning'] = 40

from tffpy.experiments.exp_solve_tff import \
    SolveTffExperiment, create_and_run_light_experiment
from tffpy.tests.ci_config import create_config_files


class TestSolveTffExperiment(unittest.TestCase):
    def setUp(self):
        create_config_files()

    def test_light_experiment(self):
        create_and_run_light_experiment()

        light_exp = SolveTffExperiment.get_experiment(
            setting='light', force_reset=False)
        for idt in range(light_exp.n_tasks):
            light_exp.plot_task(idt=idt, fontsize=16)
            plt.close('all')
        light_exp.plot_results()
        plt.close('all')

    def test_create_full_experiment(self):
        experiment = SolveTffExperiment.get_experiment(
            setting='full', force_reset=False)
        experiment.display_status()
