import unittest
from tffpy.datasets import get_mix
from tffpy.create_subregions import create_subregions


class TestCreateSubregions(unittest.TestCase):
    def test_create_subregions(self):
        fig_dir = 'fig_create_subregions'
        x_mix, dgt_params, signal_params, mask, x_loc, x_wb = \
            get_mix(loc_source='bird',
                    wideband_src='car',
                    crop=4096,
                    win_dur=256 / 8000,
                    win_type='gauss',
                    hop_ratio=1 / 4,
                    n_bins_ratio=4,
                    n_iter_closing=3,
                    n_iter_opening=3,
                    closing_first=True,
                    delta_mix_db=0,
                    delta_loc_db=20,
                    wb_to_loc_ratio_db=16,
                    or_mask=True,
                    fig_dir=None)
        tol = 1e-9
        mask_with_subregions, norms = create_subregions(
            mask_bool=mask, dgt_params=dgt_params, signal_params=signal_params,
            tol=tol, fig_dir=fig_dir, return_norms=True)

        tol = 1e-5
        mask_with_subregions = create_subregions(
            mask_bool=mask, dgt_params=dgt_params, signal_params=signal_params,
            tol=tol, fig_dir=None, return_norms=False)
